﻿(function () {
    "use strict"
    angular.module('starter')
    .controller('login', ['$rootScope', '$scope', '$timeout', 'nav', 'iosHelper', '$ionicPopup', 'validate', 'localStorage', function ($rootScope, $scope, $timeout, nav, iosHelper, $ionicPopup, validate, localStorage) {
        $rootScope.userId;
        $rootScope.rpcStatus;
        $scope.user = { name: '', password: '' };

        $scope.currentLoginView = 'person';

        $scope.inputType = 'password';
        $scope.myVar = true;
        $scope.myVar1 = false;
        $scope.slideChanged = function (index) {
            $scope.slideIndex = index;
        };

        var showPopup = function (msg) {
            var msgPopup = $ionicPopup.show({
                subTitle: msg
            });

            $timeout(function () {
                msgPopup.close();
            }, 1000);
        };

        $scope.login = function () {
            if (validate.mobile($scope.user.name) && validate.password($scope.user.password)) {
                //$rootScope.userName = $scope.user.name;

                var params = [$scope.user.name, $scope.user.password];

                var successFunc = function (result) {
             //   alert('');
                    $scope.$apply(function () {
                        var userInfo = {
                            //userName: $scope.user.name,
                            mobile: result[0].mobile,
                            passWord: $scope.user.password,
                            userName: result[0].userName,
                            rpcStatus:result[0].rpcStatus,
                            accountName: result[0].accountName
                        };

                        localStorage.setObject('userInfo', userInfo);

                        nav.navigate('tab/home');
                    });
                    //alert(result);
                }

                var failFunc = function (error) {
                    alert("Error: \r\n" + error);
                };

//                localStorage.set('username','18616916715');
//                localStorage.set('password', 'abc123');
                iosHelper.login({ data: params, success: successFunc, fail: failFunc });
            }
            else {
                showPopup('请输入正确的手机号码和密码');
                return;
            }
        };

        $scope.openLink = function (url, title) {
            var operation = 'location=no,toolbar=no,disallowoverscroll=yes';
            cordova.InAppBrowser.open(url, '_blank', operation);
        };
      
        $scope.doeyeclick = function () {
            if ($scope.inputType == 'password')
                $scope.inputType = 'text';
            else
                $scope.inputType = 'password';
        }

        $scope.showhide = function () {
            $scope.myVar = !$scope.myVar;
            $scope.myVar1 = !$scope.myVar1;
        }

        $scope.ploginclick = function () {
            $scope.currentLoginView = 'person';
            $scope.myVar = true;
            $scope.myVar1 = false;
        }
        $scope.cloginclick = function () {
            $scope.currentLoginView = 'legalPerson';
            $scope.myVar1 = true;
            $scope.myVar = false;
        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();