﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('home', ['$rootScope', '$scope', '$state', 'nav', 'iosHelper', '$cordovaBarcodeScanner', '$ionicPopup', 'main', 'localStorage', function ($rootScope, $scope, $state, nav, iosHelper, $cordovaBarcodeScanner, $ionicPopup, main, localStorage) {
        $scope.advertisingClick = function (url,title) {
            var operation = 'location=no,toolbar=yes,toolbarposition=top,closebuttoncaption=关闭,title=' + title;
            cordova.InAppBrowser.open(url, '_system', operation);
        };

        $scope.navToScanView = function () {
            var params = [];
            var successFunc = function (result) {
                
            }

            var failFunc = function (error) {
                alert("Error: \r\n" + error);
            };

            iosHelper.navToScanView({ data: params, success: successFunc, fail: failFunc });
        }

        $scope.requestTest = function () {

            //var data = { 'n': 25462, 'WD-UUID': '864819028898243', 'pageidx': 1 };

            //main.getNews({ data: data, refresh: true })
            //.then(function (news) {
            //    for (var index = 0; index < news.contList.length; index++) {
            //        var item = news.contList[index];
            //    }
            //})
            //.catch(function (err) {
            //    console.log(err);
                
            //});

            var data = { 'username': 'CodingCrow', 'password': '890209' };

            main.login({ 'username': 'CodingCrow', 'password': '890209' })
            .then(function (data) {
                var useInfo = data;
            })
            .catch(function (err) {
                console.log(err);

            });
        };
        //签署的点击事件
        $scope.openLink = function (url, title,isIC) {
            //window.open(url, '_blank', 'location=yes');
            if (!cordova.InAppBrowser) {
                return;
            }

            var mobile = localStorage.getObject('userInfo').mobile;
            var params = [mobile, isIC];
            //成功的回调方法：调用Android的回调方法讲回调的数据拼接到URL上进行数据请求
            var successFunc = function (result) {
                url = url + result;

                // toolbar=yes 仅iOS有效,提供关闭、返回、前进三个按钮
                // toolbarposition=top/bottom 仅iOS有效,决定toolbar的位置
                // closebuttoncaption=关闭 仅iOS有效
                var operation = 'location=no,toolbar=yes,toolbarposition=top,closebuttoncaption=关闭,title=' + title;
                //打开浏览器对应的页面
                cordova.InAppBrowser.open(url, '_blank', operation);
            }

            var failFunc = function (error) {

                alert("Error: \r\n" + error);
            };
            //iosHelper调用的方法和Android原生中的方法保持一致
            iosHelper.getCipherText({ data: params, success: successFunc, fail: failFunc });
        }
        //实人认证的点击方法
        $scope.navToRpcView = function () {
            var params = [];
            var successFunc = function (result) {
//                $scope.$apply(function () {
//                    nav.navigate('tab/certOption');
//                });
                alert(result);
            }

            var failFunc = function (error) {
                alert("Error: \r\n" + error);
            };

            iosHelper.navToRpcView({ data: params, success: successFunc, fail: failFunc });
        };

        $scope.state = $state;
        $scope.$watch('state.current.name', function (newVal) {
            var valSet = (newVal || '').split('.');
            if (valSet[0] === 'tab' && valSet[1] === 'account') {
                //alert(valSet[0] + valSet[1]);
            }
        });

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();