﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('intro', ['$rootScope', '$scope', 'nav', '$ionicSlideBoxDelegate', 'localStorage', function ($rootScope, $scope, nav, $ionicSlideBoxDelegate, localStorage) {
        $scope.next = function () {
            $ionicSlideBoxDelegate.next();
        };
        $scope.previous = function () {
            $ionicSlideBoxDelegate.previous();
        };

        $scope.slideChanged = function (index) {
            $scope.slideIndex = index;
        };


        $scope.navigate = function (state) {
            if (state === 'guide') {
                localStorage.set('guide', 'true');
            }

            nav.navigate(state);
        };
    }]);
})();