﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('feedback', ['$rootScope', '$scope', 'nav', '$ionicPopup', '$timeout', function ($rootScope, $scope, nav, $ionicPopup, $timeout) {
        var showPopup = function (msg) {
            var msgPopup = $ionicPopup.show({
                subTitle: msg
            });

            $timeout(function () {
                msgPopup.close();
                $scope.navigate('tab/service');
            }, 2000);
        }

        $scope.sendMsg = function () {
            showPopup('亲，反馈成功了哦。');
        };

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();